cascading.flow.stream.duct

## Class Grouping<Group,ItemIterator extends Iterator>

- java.lang.Object
- - cascading.flow.stream.duct.Grouping<Group,ItemIterator>

-     public class Grouping<Group,ItemIterator extends Iterator>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `JoinerClosure` | `joinerClosure`
    `ItemIterator` | `joinIterator`
    `Group` | `key`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Grouping()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### joinerClosure

          public JoinerClosure joinerClosure

    - #### key

          public Group key

    - #### joinIterator

          public ItemIterator extends Iterator joinIterator

  - ### Constructor Detail

    - #### Grouping

          public Grouping()

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.